<template>
    <div class="flex flex-row items-start justify-start p-2 flex-wrap">
        <div @click="$router.push({ name: 'Tasks', params: { workspace: workspace.id } })" :flip-id="`workspace:${workspace.id}`" v-for="workspace of workspaces" :key="workspace.id"  :class="`bg-${workspace.color}-00 text-${workspace.color}-500 flex-1 rounded-lg bg-gray-100 border p-8 flex flex-col items-center justify-around m-2 h-64`">
            <div :class="`h-16 w-16 bg-${workspace.color}-200 flex items-center justify-center rounded-lg ${workspace.isInbox ? 'bg-gray-300' : ''}`">
                <workspaces-icon :workspace="workspace" />
            </div>
            <div class="mt-4 font-bold tracking-wider">
                {{workspace.name}}
            </div>
        </div>
    </div>
</template>

<script>
import Workspace from '@/models/Workspace'
import { computed } from 'vue'
import WorkspacesIcon from '@/components/Workspaces/Icon'
export default {
    components: {
        WorkspacesIcon,
    },
    setup() {
        return {
            workspaces: computed(() => [Workspace.inbox, ...Workspace.query().get()])
        }
    }
}
</script>